cannot install ruby-debug-ide

Tom's Avatar

Tom

30 May, 2011 04:25 PM

$ gem install ruby-debug-ide ERROR: Error installing ruby-debug-ide:

    The 'ruby-debug-ide' native gem requires installed build tools.

Please update your PATH to include build tools or download the DevKit
from 'http://rubyinstaller.org/downloads' and follow the instructions
at 'http://github.com/oneclick/rubyinstaller/wiki/Development-Kit'

I have installed build-tools and DevKit
Still no luck Ruby 187 Aptana Studio 3, build: 3.0.1.201104291443

build-tool lsfeatures sh.exe": /c/users/KALB/Appdata/local/Aptana Studio 3/Ruby/bin/build-tool: "c:/users/KALB/Appdata/local/Aptana: bad interpreter: No such file or directory
This path c:/users/KALB/Appdata/local/Aptana does not exist could space in Aptana Studio 3 be causing the problem
Can this path be changed?
Any help would be appreciated. Am I installing build-tool or DevKit wrong?

  1. 2 Posted by Tom on 10 Jun, 2011 01:25 PM

    Tom's Avatar

    When is this issue going to be addressed?

  2. Support Staff 3 Posted by Ingo Muschenetz on 10 Jun, 2011 04:03 PM

    Ingo Muschenetz's Avatar

    Hi Tom,

    If you use railsinstaller to install your environment, you should have a much easier time. Please follow the instructions here for setting up the debugger:

    http://wiki.appcelerator.org/display/tis/Ruby+Debugger

    If you still have issues after following those steps, please let us know.

    Best,
    Ingo

  3. Ingo Muschenetz closed this discussion on 10 Jun, 2011 04:03 PM.

Comments are currently closed for this discussion. You can start a new one.

Keyboard shortcuts

Generic

? Show this help
ESC Blurs the current field

Comment Form

r Focus the comment reply box
^ + ↩ Submit the comment

You can use Command ⌘ instead of Control ^ on Mac